Ruby wrapper for MailerLite API v2
Ruby Shell
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
bin
examples
lib
spec
.gitignore
.hound.yml
.rspec
.rubocop.yml
.travis.yml
CONTRIBUTING.md
Gemfile
LICENSE
README.md
Rakefile
mailerlite.gemspec

README.md

MailerLite API v2 Ruby wrapper

A Ruby gem which helps to communicate with MailerLite API.

Gem Version Build Status Dependency Status Coverage Status Code Climate

Installation

Add this line to your application's Gemfile:

gem 'mailerlite'

Usage

Authentication

When you sign up for an account, you are given an API key. You authenticate to the MailerLite API by providing your API key in the request. You can find your API key in page: Integrations » Developer API.

client = MailerLite::Client.new(api_key: 'my-secret-api-key')

Or create file under config/initializers/mailerlite.rb

MailerLite.configure do |config|
  config.api_key = 'my-secret-api-key'
end

Supported Ruby Versions

This library aims to support and is tested against the following Ruby implementations:

  • Ruby 2.0.0
  • Ruby 2.1.0
  • Ruby 2.2.0
  • Ruby 2.3.0
  • Ruby 2.4.0

Copyright

Copyright (c) 2017 Justas Palumickas. See LICENSE for details.